%global _empty_manifest_terminate_build 0
Name:		python-zope.testing
Version:	4.7
Release:	1
Summary:	Zope testing helpers
License:	ZPL 2.1
URL:		https://github.com/zopefoundation/zope.testing
Source0:	https://files.pythonhosted.org/packages/a2/95/2a2ed23bbb3dcf7916ff39bf349314304f6e4c4dd77d86e3930def52b45e/zope.testing-4.7.tar.gz
BuildArch:	noarch

Requires:	python3-setuptool

%description
This package provides a number of testing frameworks.

%package -n python3-zope.testing
Summary:	Zope testing helpers
Provides:	python-zope.testing
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-zope.testing

%package help
Summary:	Development documents and examples for zope.testing
Provides:	python3-zope.testing-doc
%description help

%prep
%autosetup -n zope.testing-4.7

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-zope.testing -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Sun Jun 28 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
